# $Id: tk.spec,v 1.3.2.3 2001/04/05 22:02:20 hobbs Exp $
# This file is the basis for a binary Tk Linux RPM.

%define version 8.3.3
%define directory /usr

Summary: Tk graphical toolkit for the Tcl scripting language.
Name: tk
Version: %{version}
Release: 2
Copyright: BSD
Group: Development/Languages
Source: ftp://ftp.scriptics.com/pub/tcl/tcl8_3/tk%{version}.tar.gz
URL: http://tcl.activestate.com/
Packager: Griff Miller (griff.miller@positron.com)
Buildroot: /var/tmp/%{name}%{version}
Requires: XFree86-libs >= 3.3.3, XFree86-devel >= 3.3.3, tcl = 8.3.3

%description
The Tcl (Tool Command Language) provides a powerful platform for
creating integration applications that tie together diverse
applications, protocols, devices, and frameworks.  When paired with
the Tk toolkit, Tcl provides the fastest and most powerful way to
create GUI applications that run on PCs, Unix, and the Macintosh.  Tcl
can also be used for a variety of web-related tasks and for creating
powerful command languages for applications.

%prep
%setup -n %{name}%{version}/unix -q

%build
./configure --prefix %{directory} --exec-prefix %{directory}
make

%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_ROOT=$RPM_BUILD_ROOT install
(cd $RPM_BUILD_ROOT/usr/bin && ln wish8.3 wish)

%clean
rm -rf $RPM_BUILD_ROOT

# to create the tcl files list, comment out tk in the install section above,
# then run "rpm -bi" then do a find from the build root directory,
# and remove the files in specific directories which suffice by themselves,
# then to create the files list for tk, uncomment tk, comment out tcl,
# then rm -rf $RPM_BUILD_ROOT then rpm --short-circuit -bi then redo a find,
# and remove the files in specific directories which suffice by themselves.
%files
%defattr(-,root,root)
%{directory}/lib
%{directory}/bin
%{directory}/include
%{directory}/man
